<?
session_start();
require('../valtiempoinact.php');
require('../conectar.php');
function array_recibe($url_array) { 
     $tmp = stripslashes($url_array); 
     $tmp = urldecode($tmp);  
     $tmp = unserialize($tmp); 

    return $tmp; 
} 
extract($_POST);
$mes=$_POST['mes'];
$anio=$_POST['año'];
$nodias=$_POST['nodias'];
$nombremeta=array("ANUNCIOS","LLAMADAS","CITAS","ASISTENCIAS","MAIL ENVIADOS","CIERRE MAIL","CIERRE ASISTENCIA"); //tipos de meta
$nombnometa=array("noanuncios","nollamadas","nocitas","noasis","nomailen","nocmail","nocas"); //tipos de meta
$metadia=array("anun","llama","cita","asis","me","cm","ca");                                           //complemento para nombre de los campos
$idarray=array_recibe($_POST['ids']);
$noids=sizeof($idarray);

/*echo "<pre>";
		    print_r($idarray);
		echo "</pre>";*/

$sql="SELECT id FROM meta WHERE mes='$mes' AND anio='$anio'";
$con=mysql_query($sql);
$num=mysql_num_rows($con);

if($num==0)
{
$sql="INSERT INTO meta (id,mes,anio) VALUES ('','$mes','$anio')";
mysql_query($sql);

for($i=0;$i<$noids;$i++)
   {
    $id=$idarray[$i];
	
			

   for($j=0;$j<7;$j++)
        {
        $namemeta=$nombremeta[$j];        //identifica que tipo de meta este puede ser ANUNCIOS","LLAMADAS"...
		$namemetad=$metadia[$j];          //identifica el complemento para el nombre del campo segun el tipo de meta
		$nocant=$nombnometa[$j]; 
		$cantidad=$_POST["$nocant$id"];
		$monto=$_POST["monto$id"];
		 for($k=1;$k<=$nodias;$k++)
		    {
			  $nomcampotipo = $id.$namemetad.$k;
		      $dia[$k]=$_POST[$nomcampotipo];  //obtiene campos por dia dinamicamente segun tipo de meta
			}
			
        $sql="INSERT INTO  metas (id ,id_emp ,id_meta ,monto ,tipometa ,cantidad ,dia1 ,dia2 ,dia3 ,dia4 ,dia5 ,dia6 ,dia7 ,dia8 ,dia9 ,dia10 ,dia11 ,dia12 ,dia13 ,dia14 ,dia15 ,dia16 ,dia17 ,dia18 ,dia19 ,dia20 ,dia21 ,dia22 ,dia23 ,dia24 ,dia25 ,dia26 ,dia27 ,dia28 ,dia29 ,dia30 ,dia31) VALUES ('','$id',(SELECT id FROM meta WHERE mes='$mes' AND anio='$anio'),'$monto','$namemeta','$cantidad','$dia[1]','$dia[2]','$dia[3]','$dia[4]','$dia[5]','$dia[6]','$dia[7]','$dia[8]','$dia[9]','$dia[10]','$dia[11]','$dia[12]','$dia[13]','$dia[14]','$dia[15]','$dia[16]','$dia[17]','$dia[18]','$dia[19]','$dia[20]','$dia[21]','$dia[22]','$dia[23]','$dia[24]','$dia[25]','$dia[26]','$dia[27]','$dia[28]','$dia[29]','$dia[30]','$dia[31]')";
		
		mysql_query($sql);
		 unset($dia);
        $op="registro";		 
        }
   }
   echo $i;
}
elseif($num>0)
{
for($i=0;$i<$noids;$i++)
   {
    $id=$idarray[$i];
    for($j=0;$j<7;$j++)
        { 
        $namemeta=$nombremeta[$j];        //identifica que tipo de meta este puede ser ANUNCIOS","LLAMADAS"...
		$namemetad=$metadia[$j];          //identifica el complemento para el nombre del campo segun el tipo de meta
		$nocant=$nombnometa[$j]; 
		$cantidad=$_POST["$nocant$id"];
		$monto=$_POST["monto$id"];
		 for($k=1;$k<=$nodias;$k++)
		    {
		     $dia[$k]=$_POST["$id$namemetad$k"];  //obtiene campos por dia dinamicamente segun tipo de meta
			}
			
		$sql="SELECT id FROM metas WHERE id_emp='$id' AND tipometa='$namemeta' and id_meta=(SELECT id FROM meta WHERE mes='$mes' AND anio='$anio') ";
		$query=mysql_query($sql);
		$query=mysql_num_rows($query);
		
		if($query==1)	
        {
			$sql="UPDATE metas SET  monto='$monto' ,tipometa='$namemeta' ,cantidad='$cantidad' ,dia1='$dia[1]' ,dia2='$dia[2]' ,dia3='$dia[3]' ,dia4='$dia[4]' ,dia5='$dia[5]' ,dia6='$dia[6]' ,dia7='$dia[7]' ,dia8='$dia[8]' ,dia9='$dia[9]' ,dia10='$dia[10]' ,dia11='$dia[11]' ,dia12='$dia[12]' ,dia13='$dia[13]' ,dia14='$dia[14]' ,dia15='$dia[15]' ,dia16='$dia[16]' ,dia17='$dia[17]' ,dia18='$dia[18]' ,dia19='$dia[19]' ,dia20='$dia[20]' ,dia21='$dia[21]' ,dia22='$dia[22]' ,dia23='$dia[23]' ,dia24='$dia[24]' ,dia25='$dia[25]' ,dia26='$dia[26]' ,dia27='$dia[27]' ,dia28='$dia[28]' ,dia29='$dia[29]' ,dia30='$dia[30]' ,dia31='$dia[31]' WHERE tipometa='$namemeta' AND id_emp='$id' AND id_meta=(SELECT id FROM meta WHERE mes='$mes' AND anio='$anio')";
		}
		else
		 {		
		 $sql="INSERT INTO  metas (id ,id_emp ,id_meta ,monto ,tipometa ,cantidad ,dia1 ,dia2 ,dia3 ,dia4 ,dia5 ,dia6 ,dia7 ,dia8 ,dia9 ,dia10 ,dia11 ,dia12 ,dia13 ,dia14 ,dia15 ,dia16 ,dia17 ,dia18 ,dia19 ,dia20 ,dia21 ,dia22 ,dia23 ,dia24 ,dia25 ,dia26 ,dia27 ,dia28 ,dia29 ,dia30 ,dia31) VALUES ('','$id',(SELECT id FROM meta WHERE mes='$mes' AND anio='$anio'),'$monto','$namemeta','$cantidad','$dia[1]','$dia[2]','$dia[3]','$dia[4]','$dia[5]','$dia[6]','$dia[7]','$dia[8]','$dia[9]','$dia[10]','$dia[11]','$dia[12]','$dia[13]','$dia[14]','$dia[15]','$dia[16]','$dia[17]','$dia[18]','$dia[19]','$dia[20]','$dia[21]','$dia[22]','$dia[23]','$dia[24]','$dia[25]','$dia[26]','$dia[27]','$dia[28]','$dia[29]','$dia[30]','$dia[31]')";		
		 }
			mysql_query($sql);
		 unset($dia);
        $op="update";		 
        }
   } 
}
?>
<script>
  window.location="plantrabajo.php?top=<?echo md5($op);?>";
</script>